# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.3")
   message(FATAL_ERROR "CMake >= 2.8.3 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.3...3.25)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS nglib4smesh Kernel Geom Driver DriverDAT DriverGMF DriverSTL DriverUNV MEFISTO2 Controls SMDS SMESH SMESHDS StdMeshers SMESHUtils NETGENPlugin MeshVSLink)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
# Use original install prefix when loaded through a
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${_IMPORT_PREFIX}" REALPATH)
get_filename_component(_realOrig "/usr/lib/cmake" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(_IMPORT_PREFIX "/usr/lib/cmake")
endif()
unset(_realOrig)
unset(_realCurr)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target nglib4smesh
add_library(nglib4smesh SHARED IMPORTED)

set_target_properties(nglib4smesh PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/Netgen"
  INTERFACE_LINK_LIBRARIES "TKernel;TKGeomBase;TKMath;TKG2d;TKG3d;TKXSBase;TKOffset;TKFillet;TKShHealing;TKMesh;TKMeshVS;TKTopAlgo;TKGeomAlgo;TKBool;TKPrim;TKBO;TKIGES;TKBRep;TKSTEPBase;TKSTEP;TKSTL;TKSTEPAttr;TKSTEP209;TKXDESTEP;TKXDEIGES;TKXCAF;TKLCAF;/usr/lib/libz.so"
)

# Create imported target Kernel
add_library(Kernel SHARED IMPORTED)

set_target_properties(Kernel PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/Kernel"
  INTERFACE_LINK_LIBRARIES "Threads::Threads"
)

# Create imported target Geom
add_library(Geom SHARED IMPORTED)

set_target_properties(Geom PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/Geom"
  INTERFACE_LINK_LIBRARIES "Kernel;TKBRep;TKShHealing;TKMesh;TKGeomAlgo;TKTopAlgo;TKG2d;TKG3d;TKV3d;TKGeomBase;TKBO"
)

# Create imported target Driver
add_library(Driver SHARED IMPORTED)

set_target_properties(Driver PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/Driver"
  INTERFACE_LINK_LIBRARIES "SMESHUtils;TKernel;TKTopAlgo"
)

# Create imported target DriverDAT
add_library(DriverDAT SHARED IMPORTED)

set_target_properties(DriverDAT PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/DriverDAT"
  INTERFACE_LINK_LIBRARIES "Driver;SMDS"
)

# Create imported target DriverGMF
add_library(DriverGMF SHARED IMPORTED)

set_target_properties(DriverGMF PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/DriverGMF"
  INTERFACE_LINK_LIBRARIES "SMESHUtils;SMESHDS;Driver"
)

# Create imported target DriverSTL
add_library(DriverSTL SHARED IMPORTED)

set_target_properties(DriverSTL PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/DriverSTL"
  INTERFACE_LINK_LIBRARIES "Driver;SMDS;SMESHUtils;TKernel;TKSTL;TKTopAlgo;TKMesh"
)

# Create imported target DriverUNV
add_library(DriverUNV SHARED IMPORTED)

set_target_properties(DriverUNV PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/DriverUNV"
  INTERFACE_LINK_LIBRARIES "SMDS;SMESHDS;Driver"
)

# Create imported target MEFISTO2
add_library(MEFISTO2 SHARED IMPORTED)

set_target_properties(MEFISTO2 PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/MEFISTO2"
  INTERFACE_LINK_LIBRARIES "Kernel"
)

# Create imported target Controls
add_library(Controls SHARED IMPORTED)

set_target_properties(Controls PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/Controls"
  INTERFACE_LINK_LIBRARIES "Kernel;Geom;SMDS;SMESHDS;SMESHUtils;TKernel;TKBRep;TKG3d;TKTopAlgo;TKGeomBase;TKGeomAlgo;VTK::FiltersVerdict"
)

# Create imported target SMDS
add_library(SMDS SHARED IMPORTED)

set_target_properties(SMDS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/SMDS"
  INTERFACE_LINK_LIBRARIES "Kernel;VTK::CommonCore;VTK::CommonDataModel"
)

# Create imported target SMESH
add_library(SMESH SHARED IMPORTED)

set_target_properties(SMESH PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/SMESH"
  INTERFACE_LINK_LIBRARIES "Kernel;Geom;Controls;SMESHDS;Driver;DriverDAT;DriverSTL;DriverUNV;DriverGMF;TKShHealing;TKPrim;TKG2d;TKCDF;TKMeshVS;Boost::filesystem;Boost::thread;Boost::serialization;Boost::regex"
)

# Create imported target SMESHDS
add_library(SMESHDS SHARED IMPORTED)

set_target_properties(SMESHDS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/SMESHDS"
  INTERFACE_LINK_LIBRARIES "SMDS;Kernel;TKBRep"
)

# Create imported target StdMeshers
add_library(StdMeshers SHARED IMPORTED)

set_target_properties(StdMeshers PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/StdMeshers"
  INTERFACE_LINK_LIBRARIES "SMESH;MEFISTO2;TKOffset;Boost::filesystem;Boost::thread;Boost::serialization;Boost::regex"
)

# Create imported target SMESHUtils
add_library(SMESHUtils SHARED IMPORTED)

set_target_properties(SMESHUtils PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/SMESHUtils"
  INTERFACE_LINK_LIBRARIES "SMDS;TKShHealing;TKPrim;TKernel;TKBRep;TKG2d;TKG3d;TKGeomBase;TKGeomAlgo;TKTopAlgo;TKMesh;Boost::filesystem;Boost::thread;Boost::serialization;Boost::regex"
)

# Create imported target NETGENPlugin
add_library(NETGENPlugin SHARED IMPORTED)

set_target_properties(NETGENPlugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/NETGENPlugin"
  INTERFACE_LINK_LIBRARIES "StdMeshers;nglib4smesh"
)

# Create imported target MeshVSLink
add_library(MeshVSLink SHARED IMPORTED)

set_target_properties(MeshVSLink PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/smesh/MeshVSLink"
  INTERFACE_LINK_LIBRARIES "SMDS;SMESHDS;SMESH;TKMeshVS"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/SMESH-targets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
    if(NOT EXISTS "${_cmake_file}")
      message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
